<template>
  <div class="widget-investModule">
    <!-- 合同结算统计 -->
    <ContractStatistics :dataInfo="dataInfo" />
    <!-- 月度投资结算统计 -->
    <MonthlyStatistics :dataInfo="dataInfo" />
    <!-- 合同结算 -->
    <ContractSettlement />
  </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import ContractSettlement from './ContractSettlement.vue'
import ContractStatistics from './ContractStatistics.vue'
import MonthlyStatistics from './MonthlyStatistics.vue'
import { getEpcjstzgldetailList } from '../../../apis'
//统计分析-投资模块
@Component({
  name: 'investModule',
  components: { ContractStatistics, MonthlyStatistics, ContractSettlement }
})
export default class investModule extends Vue {
  dataInfo = null
  get projectCode() {
    return this.$store.state.bigScreen.currentProjectCode
  }
  mounted() {
    this.getData()
  }
  async getData() {
    const res = await getEpcjstzgldetailList({ projectParentCode: this.projectCode })
    if (res.code == 1 && res.result && res.result.length != 0) {
      this.dataInfo = res.result
    }
  }
}
</script>

<style></style>